## org.omg.PortableServer.POAPackage
Class ObjectNotActiveHolder

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ObjectNotActiveHolder

All Implemented Interfaces:
  Streamable

public final class ObjectNotActiveHolder
extends java.lang.Object
implements Streamable

Holder class for : ObjectNotActive

Author:
  OpenORB Compiler

Field Summary
`ObjectNotActive` `value` Internal ObjectNotActive value

Constructor Summary
`ObjectNotActiveHolder()` Default constructor
`ObjectNotActiveHolder(ObjectNotActive initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read ObjectNotActive from a marshalled stream
`TypeCode` `_type()` Return the ObjectNotActive TypeCode
`void` `_write(OutputStream ostream)` Write ObjectNotActive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public ObjectNotActive value

  Internal ObjectNotActive value

Constructor Detail

### ObjectNotActiveHolder

    public ObjectNotActiveHolder()

  Default constructor

### ObjectNotActiveHolder

    public ObjectNotActiveHolder(ObjectNotActive initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read ObjectNotActive from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write ObjectNotActive into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the ObjectNotActive TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode